Announcement

Collapse
No announcement yet.

Upgrading 3.8 to 4.0

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Upgrading 3.8 to 4.0

    Hi,
    I'm running 3.8.2

    Can I go directly to the new 4.0 and, if so, are there any pre-conditions (apart from payment, of course)

    Do I need to install versions and patches 3.8.3 and 3.8.4?

    Thanks,
    Tim

  • #2
    Originally posted by timinrome View Post
    Hi,
    I'm running 3.8.2

    Can I go directly to the new 4.0 and, if so, are there any pre-conditions (apart from payment, of course)

    Do I need to install versions and patches 3.8.3 and 3.8.4?

    Thanks,
    Tim
    The upgrade process will take you through the 3.8.3 and 3.8.4 upgrades as an integral part of the process, so in effect you can go straight from 3.8.2 to 4.0.0, yes.
    MARK.B | vBULLETIN SUPPORT

    TalkNewsUK - My vBulletin 5.6.4 Demo
    AdminAmmo - My Cloud Demo

    Comment


    • #3
      Originally posted by timinrome View Post
      Hi,
      I'm running 3.8.2

      Can I go directly to the new 4.0 and, if so, are there any pre-conditions (apart from payment, of course)

      Do I need to install versions and patches 3.8.3 and 3.8.4?

      Thanks,
      Tim
      If you have an active owned license, you won't need to pay.
      If you have an expired owned license, you can view the announcement forum for discount details.

      Comment


      • #4
        Thanks Mark.B Another follow-on, if I may:

        I have additional features such as the Blog, Social Groups. I can see from the Q&A that the Blog will no longer be supported as it becomes part of the Pub. Suite. But what about SGs? Is there a corresponding update to this feature in v4.0?

        Why is the vBulletin forum itself still running on 3.8.4, I wonder??

        Comment


        • #5
          Originally posted by timinrome View Post
          Thanks Mark.B Another follow-on, if I may:

          I have additional features such as the Blog, Social Groups. I can see from the Q&A that the Blog will no longer be supported as it becomes part of the Pub. Suite. But what about SGs? Is there a corresponding update to this feature in v4.0?

          Why is the vBulletin forum itself still running on 3.8.4, I wonder??
          All the "features" already in 3.8.4 PL1, as far as I know.

          Social Networking features such as social groups and albums was decided to be built-in features, and will be in version 4.

          The blog was a complete on it's own addon, and moved to be part of the suite.

          Comment


          • #6
            Originally posted by timinrome View Post
            Thanks Mark.B Another follow-on, if I may:

            I have additional features such as the Blog, Social Groups. I can see from the Q&A that the Blog will no longer be supported as it becomes part of the Pub. Suite. But what about SGs? Is there a corresponding update to this feature in v4.0?
            The 3.8 Blog add on won't work in 4.0, you would indeed need to buy the suite to get the blog functionality, though it will "convert" existing blog posts for you.

            I understand that Social Groups will still be in 4.0 as they are core part of the product and not an add-on.

            Originally posted by timinrome View Post
            Why is the vBulletin forum itself still running on 3.8.4, I wonder??
            This is remarkably simple, despite many odd conspiracy theories - it's not ready yet.

            4.0 is currently in "Alpha" stage. It may or may not bear any resemblance to what they finally release, it'll be in very much a state of flux. Parts of it probably won't work properly at this stage, and some features may not be complete. Thus, if they put it up here, it could be catastrophic as everything could stop working!

            However, it has to be stressed, this is entirely normal in software development, so it isn't anything to worry about.

            Soon vB4 will come out of alpha and go into beta - this will be much closer to what we'll eventually see as the finished product. Currently (as with previous major releases), once the product goes into beta it will be installed on here and we will be able to see it in atiion, albeit still in beta.
            MARK.B | vBULLETIN SUPPORT

            TalkNewsUK - My vBulletin 5.6.4 Demo
            AdminAmmo - My Cloud Demo

            Comment


            • #7
              So explain to me why I should buy something that isn't working now, please. I understand the process, but when I pay money, I'm paying for a product, not the promise of one.

              Comment


              • #8
                Originally posted by ThailandTopper View Post
                So explain to me why I should buy something that isn't working now, please. I understand the process, but when I pay money, I'm paying for a product, not the promise of one.
                It's a pre-order sale. The deal is, vBulletin get your money earlier than they would otherwise, in return for this you get a quite substantial discount on the price.

                It is 100% certain that they will deliver the product. It exists. It's just not quite ready yet - but it is not far off. You'll certainly see it either back end of 2009 or at worst case, early 2010.

                If you're not happy to pay out now, that's fine and understandable, but it does mean it'll cost you more if you buy it when it comes out.
                MARK.B | vBULLETIN SUPPORT

                TalkNewsUK - My vBulletin 5.6.4 Demo
                AdminAmmo - My Cloud Demo

                Comment


                • #9
                  Originally posted by ThailandTopper View Post
                  So explain to me why I should buy something that isn't working now, please. I understand the process, but when I pay money, I'm paying for a product, not the promise of one.
                  Thanks ThailandTopper for raising that interesting point. The way the new vB website is set out and the message sent to all existing license holders reads as if it is available now. Quite devious, methinks.

                  Comment


                  • #10
                    So.. there is no "try before you buy" scenario?
                    sigpic

                    Comment


                    • #11
                      Originally posted by timinrome View Post
                      Thanks ThailandTopper for raising that interesting point. The way the new vB website is set out and the message sent to all existing license holders reads as if it is available now. Quite devious, methinks.
                      Can you quote that? I never saw anything that said you could get it now.

                      It reads that they are doing a Pre-Sale, which would tell me that I'm buying into a product that has not been released yet.

                      Seems like easy enough English to understand.
                      To be updated...

                      Comment


                      • #12
                        Originally posted by ENF View Post
                        Can you quote that? I never saw anything that said you could get it now.

                        It reads that they are doing a Pre-Sale, which would tell me that I'm buying into a product that has not been released yet.

                        Seems like easy enough English to understand.
                        Of course he understand, he's just being ignorant to the fact that he has to pay for quality software. We now have an option to save some money if we upgrade before the end of the month, which is a good thing!. I have seldom been so disappointed and embarrassed when reading through all of the whining folks out there who pretend they didn't understand what Jelsoft meant. It's all in the emails sent out to all of us! Please read it and shut up, this is just embarassing.

                        Comment


                        • #13
                          Originally posted by Garamond View Post
                          Of course he understand, he's just being ignorant to the fact that he has to pay for quality software. We now have an option to save some money if we upgrade before the end of the month, which is a good thing!. I have seldom been so disappointed and embarrassed when reading through all of the whining folks out there who pretend they didn't understand what Jelsoft meant. It's all in the emails sent out to all of us! Please read it and shut up, this is just embarassing.
                          The questions placed forth are very honest and rightly so.
                          Yes, it is indeed embarrassing (as to what IB has done) and to tell someone to "shut up" should embarrass you! A very nice example to set forth as to a community for those that are new to vB and may be reading this. Then again, why hide the facts under a cover from those that are new and purchasing 3.8 now only to find out that in about 3 or 4 months that 3.8 is dead and they will have to start all over again with 4.0 which for all practical purposes is not yet proven to be stable.

                          Comment

                          widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                          Working...
                          X